Free Support Forum - aspose.com

Aspose Words 4.4.3 64bit Win 2003 - Attempted to Read or Write protected memory

I've seen lot's of posts on this issue but wondered when/if it's likely to be fixed soon. I've identified this issue is not related to the service pack updates we recently applied to the server.

We recently upgraded our server via the Windows Updates and it's now.

Win 2003 sp2

.Net Framework 2.0 sp1

.Net Framework 3.0 sp1

We are only doing the same basic operations that we have done in the past. We got the newer componenets downloaded because of the error: The Document Appears to be corrupted and cannot be loaded, which appeared after the service pack update. We've rolled back the service packs and use the older componenets but there are some fixes in the newer componeents we could use so would be glad of an update when you think this is fixed.

Cheers,

Darren

I'm quite lost as to what problem you are experiencing. Read and write protected memory and document appears to be corrupted are different things.

64 bit, read and write protected memory on Windows Server 2003 was fixed and tested successfully some time ago. If I remember correctly the problem was traced down to the obfuscation technology, which since then was upgraded. If you experience this problem with the latest version of Aspose.Words, please let me know.

If you get document appears to be corrupted and cannot be loaded in MS Word, then I would need to see the code that you use to create the document so I can reproduce.

Yes the problem does Happen with 4.4.3.

We only use the newer version because of the .Net Framework services packs broke the older componenets but we cannot use 4.4.3 because of the Protected memory Error.

We are currently running the older componenets following a roll back of the service packs.

Tell me what extra information you require.

The history of rollbacks and upgrades confuses me. Therefore can you please confirm:

1. What OS version do you want to run. 64bit?

2. What service packs do you want to run.

3. What error do you get when you run latest Aspose.Words 4.4.3 on the above.

OK here goes,

We are running on 64bit

We would ideally like to be able to run on the latest .Net Framework Service packs.

2.0 & 3.0 Service Pack 1.

When we run in this environment we get the error that the document appears to be corrupt with the 4.4.3 version of the components.

Hi

Thanks you for additional information. Could you please attach your document for testing? (only you and Aspose staff can download it) I will try to reproduce your problem and provide you more information.

Best regards.

Ok,

I've attached just to confirm with this document I get the Memory Corrupted Error as we are now running without the service Packs.

Aspose 4.4.3

Win Server 2003 R2 SP2

.Net Framework 2.0 & 3.0 both without service packs

Hi,

Any news? were you able to reproduce?

I need a few more days. I don't have Windows 2003 server 64bit ready, only Vista. I'll try to get it done within a week.

We have released a new version of Aspose.Words that contains a fix for this issue.

The new version of Aspose.Words is available for download from here.

Best regards.